# Uses of Interface
jspecview.api.PlatformDialog

Packages that use PlatformDialog
Package
Description
jspecview.dialog
jspecview.java
jspecview.js2d

## Uses of PlatformDialog in jspecview.dialog

Fields in jspecview.dialog declared as PlatformDialog
Modifier and Type
Field
Description
`protected PlatformDialog`
JSVDialog.`dialog`
Methods in jspecview.dialog that return PlatformDialog
Modifier and Type
Method
Description
`abstract PlatformDialog`
DialogManager.`getDialog(JSVDialog jsvDialog)`

## Uses of PlatformDialog in jspecview.java

Classes in jspecview.java that implement PlatformDialog
Modifier and Type
Class
Description
`class`
`AwtDialog`
AwtDialog extends JDialog, interpreting DialogManager's requests in terms of Swing and AWT.
Methods in jspecview.java that return PlatformDialog
Modifier and Type
Method
Description
`PlatformDialog`
AwtDialogManager.`getDialog(JSVDialog jsvDialog)`

## Uses of PlatformDialog in jspecview.js2d

Classes in jspecview.js2d that implement PlatformDialog
Modifier and Type
Class
Description
`class`
`JsDialog`
just a class I made to separate the construction of the AnnotationDialogs from their use
Methods in jspecview.js2d that return PlatformDialog
Modifier and Type
Method
Description
`PlatformDialog`
JsDialogManager.`getDialog(JSVDialog jsvDialog)`